Index: ils/CI/sette/input_ICEDYN.cfg
===================================================================
--- /utils/CI/sette/input_ICEDYN.cfg	(revision 10516)
+++ 	(revision )
@@ -1,1 +1,0 @@
-ICEDYN_v4.0.tar ICEDYN_v4.0
Index: /utils/CI/sette/input_ICE_AGRIF.cfg
===================================================================
--- /utils/CI/sette/input_ICE_AGRIF.cfg	(revision 10517)
+++ /utils/CI/sette/input_ICE_AGRIF.cfg	(revision 10517)
@@ -0,0 +1,1 @@
+ICE_AGRIF_v4.0.tar ICE_AGRIF_v4.0
Index: /utils/CI/sette/sette_rpt.sh
===================================================================
--- /utils/CI/sette/sette_rpt.sh	(revision 10516)
+++ /utils/CI/sette/sette_rpt.sh	(revision 10517)
@@ -429,5 +429,5 @@
  echo ""
  echo "   !----restart----!   "
- for restart_test in WGYRE_PISCES_ST WORCA2_ICE_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_ICE_ST WAGRIF_DEMO_ST WSPITZ12_ST WISOMIP_ST WOVERFLOW_ST WLOCK_EXCHANGE_ST WVORTEX_ST WICEDYN_ST 
+ for restart_test in WGYRE_PISCES_ST WORCA2_ICE_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_ICE_ST WAGRIF_DEMO_ST WSPITZ12_ST WISOMIP_ST WOVERFLOW_ST WLOCK_EXCHANGE_ST WVORTEX_ST WICE_AGRIF_ST 
  do
    resttest $NEMO_VALID $restart_test $pass
@@ -438,5 +438,5 @@
  echo ""
  echo "   !----repro----!   "
- for repro_test in WGYRE_PISCES_ST WORCA2_ICE_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_ICE_ST WORCA2_ICE_OBS_ST WAGRIF_DEMO_ST WSPITZ12_ST WISOMIP_ST WVORTEX_ST WICEDYN_ST
+ for repro_test in WGYRE_PISCES_ST WORCA2_ICE_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_ICE_ST WORCA2_ICE_OBS_ST WAGRIF_DEMO_ST WSPITZ12_ST WISOMIP_ST WVORTEX_ST WICE_AGRIF_ST
  do
    reprotest $NEMO_VALID $repro_test $pass
Index: /utils/CI/sette/sette_test-cases.sh
===================================================================
--- /utils/CI/sette/sette_test-cases.sh	(revision 10516)
+++ /utils/CI/sette/sette_test-cases.sh	(revision 10517)
@@ -141,5 +141,5 @@
 # LOCK_EXCHANGE  : 2
 # VORTEX         : 3
-# ICEDYN         : 4
+# ICE_AGRIF      : 4
 # ISOMIP         : 5
 # WAD
@@ -478,11 +478,11 @@
 
 # ---------
-# ICEDYN
+# ICE_AGRIF
 # ---------
 if [ ${config} -eq 4 ] ;  then 
-## Restartability tests for ICEDYN
+## Restartability tests for ICE_AGRIF
     export TEST_NAME="LONG"
     cd ${MAIN_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ICEDYN_ST -a ICEDYN -j 8  del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ICE_AGRIF_ST -a ICE_AGRIF -j 8  del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -493,5 +493,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi 
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ICEDYN_LONG\"
+    set_namelist namelist_cfg cn_exp \"ICE_AGRIF_LONG\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 200
@@ -499,5 +499,5 @@
     set_namelist namelist_cfg nn_stock 100
     
-    set_namelist 1_namelist_cfg cn_exp \"ICEDYN_LONG\"
+    set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 600
@@ -511,5 +511,5 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ICEDYN.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ICE_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     
     cd ${SETTE_DIR}
@@ -517,5 +517,5 @@
     . ./prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ICEDYN_SHORT\"
+    set_namelist namelist_cfg cn_exp \"ICE_AGRIF_SHORT\"
     set_namelist namelist_cfg nn_it000 101
     set_namelist namelist_cfg nn_itend 200
@@ -524,8 +524,8 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg cn_ocerst_in \"ICEDYN_LONG_00000100_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"ICEDYN_LONG_00000100_restart_ice\"
-    
-    set_namelist 1_namelist_cfg cn_exp \"ICEDYN_SHORT\"
+    set_namelist namelist_cfg cn_ocerst_in \"ICE_AGRIF_LONG_00000100_restart\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"ICE_AGRIF_LONG_00000100_restart_ice\"
+    
+    set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_SHORT\"
     set_namelist 1_namelist_cfg nn_it000 301
     set_namelist 1_namelist_cfg nn_itend 600
@@ -534,6 +534,6 @@
     set_namelist 1_namelist_cfg ln_rstart .true.
     set_namelist 1_namelist_cfg nn_rstctl 2
-    set_namelist 1_namelist_cfg cn_ocerst_in \"ICEDYN_LONG_00000300_restart\"
-    set_namelist 1_namelist_ice_cfg cn_icerst_in \"ICEDYN_LONG_00000300_restart_ice\"
+    set_namelist 1_namelist_cfg cn_ocerst_in \"ICE_AGRIF_LONG_00000300_restart\"
+    set_namelist 1_namelist_ice_cfg cn_icerst_in \"ICE_AGRIF_LONG_00000300_restart_ice\"
     
     
@@ -544,26 +544,26 @@
     fi
     if [ $NPROC -eq 1 ] ;  then
-        ln -sf ../LONG/ICEDYN_LONG_00000100_restart.nc .
-        ln -sf ../LONG/ICEDYN_LONG_00000100_restart_ice.nc .
-        ln -sf ../LONG/1_ICEDYN_LONG_00000300_restart.nc .
-        ln -sf ../LONG/1_ICEDYN_LONG_00000300_restart_ice.nc .
+        ln -sf ../LONG/ICE_AGRIF_LONG_00000100_restart.nc .
+        ln -sf ../LONG/ICE_AGRIF_LONG_00000100_restart_ice.nc .
+        ln -sf ../LONG/1_ICE_AGRIF_LONG_00000300_restart.nc .
+        ln -sf ../LONG/1_ICE_AGRIF_LONG_00000300_restart_ice.nc .
     else
         for (( i=1; i<=$NPROC; i++)) ; do
             L_NPROC=$(( $i - 1 ))
             L_NPROC=`printf "%04d\n" ${L_NPROC}`
-            ln -sf ../LONG/ICEDYN_LONG_00000100_restart_${L_NPROC}.nc .
-            ln -sf ../LONG/ICEDYN_LONG_00000100_restart_ice_${L_NPROC}.nc .
-            ln -sf ../LONG/1_ICEDYN_LONG_00000300_restart_${L_NPROC}.nc .
-            ln -sf ../LONG/1_ICEDYN_LONG_00000300_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/ICE_AGRIF_LONG_00000100_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/ICE_AGRIF_LONG_00000100_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/1_ICE_AGRIF_LONG_00000300_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/1_ICE_AGRIF_LONG_00000300_restart_ice_${L_NPROC}.nc .
         done
     fi
 
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ICEDYN.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-
-## Reproducibility tests for ICEDYN
+    . ./prepare_job.sh input_ICE_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+
+## Reproducibility tests for ICE_AGRIF
     export TEST_NAME="REPRO_2_3"
     cd ${MAIN_DIR}
@@ -576,5 +576,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ICEDYN_23\"
+    set_namelist namelist_cfg cn_exp \"ICE_AGRIF_23\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 200
@@ -584,5 +584,5 @@
     set_namelist namelist_cfg ln_ctl .true.
     
-    set_namelist 1_namelist_cfg cn_exp \"ICEDYN_23\"
+    set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_23\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 600
@@ -598,5 +598,5 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ICEDYN.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ICE_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
@@ -610,5 +610,5 @@
     cd ${EXE_DIR}
 
-    set_namelist namelist_cfg cn_exp \"ICEDYN_32\"
+    set_namelist namelist_cfg cn_exp \"ICE_AGRIF_32\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 200
@@ -618,5 +618,5 @@
     set_namelist namelist_cfg ln_ctl .true.
     
-    set_namelist 1_namelist_cfg cn_exp \"ICEDYN_32\"
+    set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_32\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 600
@@ -632,5 +632,5 @@
     fi
     cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ICEDYN.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    . ./prepare_job.sh input_ICE_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}