Index: NEMO/trunk/src/ICE/icedyn_adv_umx.F90
===================================================================
--- NEMO/trunk/src/ICE/icedyn_adv_umx.F90	(revision 10512)
+++ NEMO/trunk/src/ICE/icedyn_adv_umx.F90	(revision 10519)
@@ -14,5 +14,5 @@
    !!   ultimate_x(_y)    : compute a tracer value at velocity points using ULTIMATE scheme at various orders
    !!   macho             : ???
-   !!   nonosc            : compute monotonic tracer fluxes by a non-oscillatory algorithm 
+   !!   nonosc_ice        : compute monotonic tracer fluxes by a non-oscillatory algorithm 
    !!----------------------------------------------------------------------
    USE phycst         ! physical constant
@@ -35,5 +35,5 @@
    REAL(wp) ::   z1_120 = 1._wp / 120._wp   ! =1/120
    
-   ! limiter: 1=nonosc, 2=superbee, 3=h3(rachid)
+   ! limiter: 1=nonosc_ice, 2=superbee, 3=h3(rachid)
    INTEGER ::   kn_limiter = 1
 
@@ -223,5 +223,5 @@
       !!                 - calculate tracer H at u and v points (Ultimate)
       !!                 - calculate the high order fluxes using alterning directions (Macho?)
-      !!                 - apply a limiter on the fluxes (nonosc)
+      !!                 - apply a limiter on the fluxes (nonosc_ice)
       !!                 - convert this tracer flux to a tracer content flux (uH -> uV)
       !!                 - calculate the high order solution for tracer content V
@@ -229,5 +229,5 @@
       !! ** Action : solve 2 equations => a) da/dt = -div(ua)
       !!                                  b) dV/dt = -div(uV) using dH/dt = -u.grad(H)
-      !!             in eq. b), - fluxes uH are evaluated (with UMx) and limited (with nonosc). This step is necessary to get a good H.
+      !!             in eq. b), - fluxes uH are evaluated (with UMx) and limited (with nonosc_ice). This step is necessary to get a good H.
       !!                        - then we convert this flux to a "volume" flux this way => uH*ua/u
       !!                             where ua is the flux from eq. a)
@@ -485,5 +485,5 @@
          !
          IF    ( kn_limiter == 1 ) THEN
-            CALL nonosc( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
+            CALL nonosc_ice( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
          ELSEIF( kn_limiter == 2 .OR. kn_limiter == 3 ) THEN
             CALL limiter_x( pdt, pu, pt, pfu_ups, pfu_ho )
@@ -558,5 +558,5 @@
 
          ENDIF
-         IF( kn_limiter == 1 )   CALL nonosc( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
+         IF( kn_limiter == 1 )   CALL nonosc_ice( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
          
       ENDIF
@@ -650,5 +650,5 @@
       ENDIF
 
-      IF( kn_limiter == 1 )   CALL nonosc( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
+      IF( kn_limiter == 1 )   CALL nonosc_ice( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
       !
    END SUBROUTINE macho
@@ -964,10 +964,10 @@
      
 
-   SUBROUTINE nonosc( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
+   SUBROUTINE nonosc_ice( pamsk, pdt, pu, pv, pt, pt_ups, pfu_ups, pfv_ups, pfu_ho, pfv_ho )
       !!---------------------------------------------------------------------
-      !!                    ***  ROUTINE nonosc  ***
+      !!                    ***  ROUTINE nonosc_ice  ***
       !!     
       !! **  Purpose :   compute monotonic tracer fluxes from the upstream 
-      !!       scheme and the before field by a nonoscillatory algorithm 
+      !!       scheme and the before field by a non-oscillatory algorithm 
       !!
       !! **  Method  :   ...
@@ -1143,5 +1143,5 @@
 !!                  &         ) * tmask(ji,jj,1)
 !!               IF( zzt < -epsi20 ) THEN
-!!                  WRITE(numout,*) 'T<0 nonosc',zzt
+!!                  WRITE(numout,*) 'T<0 nonosc_ice',zzt
 !!               ENDIF
 !!            END DO
@@ -1150,5 +1150,5 @@
       END DO
       !
-   END SUBROUTINE nonosc
+   END SUBROUTINE nonosc_ice
 
    