Index: /NEMO/trunk/cfgs/SHARED/namelist_ice_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ice_ref	(revision 10530)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ice_ref	(revision 10531)
@@ -25,7 +25,6 @@
    nlay_i           =   2             !  number of ice  layers
    nlay_s           =   1             !  number of snow layers (only 1 is working)
-   nn_virtual_itd   =   0             !  virtual ITD mono-category parameterizations (1-3 => jpl = 1 only) or not (0)
-                                      !     2: activate enhanced thermal conductivity only --- temporary option
-                                      !     3: activate virtual thin ice melting only      ---  temporary option
+   ln_virtual_itd   =   .FALSE.       !  virtual ITD mono-category parameterization (jpl=1 only)
+                                      !     i.e. enhanced thermal conductivity & virtual thin ice melting
    ln_icedyn        = .true.          !  ice dynamics (T) or not (F)
    ln_icethd        = .true.          !  ice thermo   (T) or not (F)
@@ -64,5 +63,5 @@
                                       !          recommended range: ?? L16=15 - home=10
       rn_lfrelax    =   1.e-5         !        relaxation time scale to reach static friction [s-1]
-      rn_tensile    =   0.2           !        isotropic tensile strength
+      rn_tensile    =   0.2           !        ln_landfast_L16: isotropic tensile strength
 /
 !------------------------------------------------------------------------------
@@ -167,9 +166,9 @@
                                       !     2: varying salinity parameterization S(z,t)
                                       !     3: prescribed salinity profile S(z), Schwarzacher, 1959
-   rn_icesal        =   4.            !    (nn_icesal=1) ice salinity (g/kg)
-   rn_sal_gd        =   5.            !  restoring ice salinity, gravity drainage (g/kg)
-   rn_time_gd       =   1.73e+6       !  restoring time scale, gravity drainage  (s)
-   rn_sal_fl        =   2.            !  restoring ice salinity, flushing (g/kg)
-   rn_time_fl       =   8.64e+5       !  restoring time scale, flushing (s)
+   rn_icesal        =   4.            !      (nn_icesal=1) ice salinity (g/kg)
+   rn_sal_gd        =   5.            !      (nn_icesal=2) restoring ice salinity, gravity drainage (g/kg)
+   rn_time_gd       =   1.73e+6       !      (nn_icesal=2) restoring time scale,   gravity drainage  (s)
+   rn_sal_fl        =   2.            !      (nn_icesal=2) restoring ice salinity, flushing (g/kg)
+   rn_time_fl       =   8.64e+5       !      (nn_icesal=2) restoring time scale,   flushing (s)
    rn_simax         =  20.            !  maximum tolerated ice salinity (g/kg)
    rn_simin         =   0.1           !  minimum tolerated ice salinity (g/kg)
Index: /NEMO/trunk/src/ICE/ice.F90
===================================================================
--- /NEMO/trunk/src/ICE/ice.F90	(revision 10530)
+++ /NEMO/trunk/src/ICE/ice.F90	(revision 10531)
@@ -114,5 +114,5 @@
    INTEGER           , PUBLIC ::   nlay_i           !: number of ice  layers 
    INTEGER           , PUBLIC ::   nlay_s           !: number of snow layers 
-   INTEGER           , PUBLIC ::   nn_virtual_itd   !: virtual ITD mono-category parameterizations (1-3) or not (0)
+   LOGICAL           , PUBLIC ::   ln_virtual_itd   !: virtual ITD mono-category parameterization (T) or not (F)
    LOGICAL           , PUBLIC ::   ln_icedyn        !: flag for ice dynamics (T) or not (F)
    LOGICAL           , PUBLIC ::   ln_icethd        !: flag for ice thermo   (T) or not (F)
Index: /NEMO/trunk/src/ICE/icedyn_rdgrft.F90
===================================================================
--- /NEMO/trunk/src/ICE/icedyn_rdgrft.F90	(revision 10530)
+++ /NEMO/trunk/src/ICE/icedyn_rdgrft.F90	(revision 10531)
@@ -586,12 +586,4 @@
                   &                                      + rhos * vsrft(ji) * ( 1._wp - rn_fsnwrft ) ) * r1_rdtice
 
-               ! Put the melt pond water into the ocean
-               ! clem: I think the following lines must be commented since there
-               !       is no net mass flux between melt ponds and the ocean (see icethd_pnd.F90 for ex.)
-               !IF ( ln_pnd_fwb ) THEN
-               !   wfx_pnd_1d(ji) = wfx_pnd_1d(ji) + ( rhow * vprdg(ji) * ( 1._wp - rn_fpndrdg )   &        ! fresh water source for ocean
-               !      &                              + rhow * vprft(ji) * ( 1._wp - rn_fpndrft ) ) * r1_rdtice
-               !ENDIF
-
                ! virtual salt flux to keep salinity constant
                IF( nn_icesal /= 2 )  THEN
Index: /NEMO/trunk/src/ICE/iceforcing.F90
===================================================================
--- /NEMO/trunk/src/ICE/iceforcing.F90	(revision 10530)
+++ /NEMO/trunk/src/ICE/iceforcing.F90	(revision 10531)
@@ -145,5 +145,5 @@
          SELECT CASE( nice_jules )
          CASE( np_jules_ACTIVE )  !    compute conduction flux and surface temperature (as in Jules surface module)
-                                  CALL blk_ice_qcn    ( nn_virtual_itd, t_su, t_bo, h_s, h_i )
+                                  CALL blk_ice_qcn    ( ln_virtual_itd, t_su, t_bo, h_s, h_i )
          END SELECT
       CASE ( jp_purecpl )         !--- coupled formulation
Index: /NEMO/trunk/src/ICE/icestp.F90
===================================================================
--- /NEMO/trunk/src/ICE/icestp.F90	(revision 10530)
+++ /NEMO/trunk/src/ICE/icestp.F90	(revision 10531)
@@ -297,5 +297,5 @@
       INTEGER  ::   ios                 ! Local integer
       !!
-      NAMELIST/nampar/ jpl, nlay_i, nlay_s, nn_virtual_itd, ln_icedyn, ln_icethd, rn_amax_n, rn_amax_s,  &
+      NAMELIST/nampar/ jpl, nlay_i, nlay_s, ln_virtual_itd, ln_icedyn, ln_icethd, rn_amax_n, rn_amax_s,  &
          &             cn_icerst_in, cn_icerst_indir, cn_icerst_out, cn_icerst_outdir
       !!-------------------------------------------------------------------
@@ -317,5 +317,5 @@
          WRITE(numout,*) '         number of ice  layers                               nlay_i    = ', nlay_i
          WRITE(numout,*) '         number of snow layers                               nlay_s    = ', nlay_s
-         WRITE(numout,*) '         virtual ITD param for jpl=1 (1-3) or not (0)   nn_virtual_itd = ', nn_virtual_itd
+         WRITE(numout,*) '         virtual ITD param for jpl=1 (T) or not (F)     ln_virtual_itd = ', ln_virtual_itd
          WRITE(numout,*) '         Ice dynamics       (T) or not (F)                   ln_icedyn = ', ln_icedyn
          WRITE(numout,*) '         Ice thermodynamics (T) or not (F)                   ln_icethd = ', ln_icethd
@@ -324,8 +324,8 @@
       ENDIF
       !                                        !--- check consistency
-      IF ( jpl > 1 .AND. nn_virtual_itd == 1 ) THEN
-         nn_virtual_itd = 0
+      IF ( jpl > 1 .AND. ln_virtual_itd ) THEN
+         ln_virtual_itd = .FALSE.
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   nn_virtual_itd forced to 0 as jpl>1, no need with multiple categories to emulate them'
+         IF(lwp) WRITE(numout,*) '   ln_virtual_itd forced to false as jpl>1, no need with multiple categories to emulate them'
       ENDIF
       !
Index: /NEMO/trunk/src/ICE/icethd.F90
===================================================================
--- /NEMO/trunk/src/ICE/icethd.F90	(revision 10530)
+++ /NEMO/trunk/src/ICE/icethd.F90	(revision 10531)
@@ -233,13 +233,6 @@
                               CALL ice_thd_temp                     ! --- temperature update --- !
             !
-!!gm please create a new logical (l_thd_mono or a better explicit name) set one for all in icestp.F90 module
-!!gm        l_thd_mono = ln_icedH .AND. ( ( nn_virtual_itd == 1 .OR. nn_virtual_itd == 4 ) .AND. jpl == 1 )
-!!gm        by the way, the different options associated with nn_virtual_itd =1 to 4  are quite impossible to identify
-!!gm        more comment to add when ready the namelist, with an explicit print in the ocean.output
-            IF( ln_icedH ) THEN
-               IF ( ( nn_virtual_itd == 1 .OR. nn_virtual_itd == 3 ) .AND. jpl == 1 ) THEN
-                              CALL ice_thd_mono                      ! --- extra lateral melting if virtual_itd --- !
-               END IF
-            END IF
+            IF( ln_icedH .AND. ln_virtual_itd ) &
+               &              CALL ice_thd_mono                     ! --- extra lateral melting if virtual_itd --- !
             !
             IF( ln_icedA )    CALL ice_thd_da                       ! --- lateral melting --- !
Index: /NEMO/trunk/src/ICE/icethd_zdf_bl99.F90
===================================================================
--- /NEMO/trunk/src/ICE/icethd_zdf_bl99.F90	(revision 10530)
+++ /NEMO/trunk/src/ICE/icethd_zdf_bl99.F90	(revision 10531)
@@ -265,7 +265,5 @@
          zghe(1:npti) = 1._wp
          !
-         SELECT CASE ( nn_virtual_itd )
-         !
-         CASE ( 1 , 2 )
+         IF( ln_virtual_itd ) THEN
             !
             zepsilon = 0.1_wp
@@ -277,5 +275,5 @@
             END DO
             !
-         END SELECT
+         ENDIF
          !
          !-----------------
Index: /NEMO/trunk/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbcblk.F90	(revision 10530)
+++ /NEMO/trunk/src/OCE/SBC/sbcblk.F90	(revision 10531)
@@ -926,5 +926,5 @@
    
 
-   SUBROUTINE blk_ice_qcn( k_virtual_itd, ptsu, ptb, phs, phi )
+   SUBROUTINE blk_ice_qcn( ld_virtual_itd, ptsu, ptb, phs, phi )
       !!---------------------------------------------------------------------
       !!                     ***  ROUTINE blk_ice_qcn  ***
@@ -941,5 +941,5 @@
       !!
       !!---------------------------------------------------------------------
-      INTEGER                   , INTENT(in   ) ::   k_virtual_itd   ! single-category option
+      LOGICAL                   , INTENT(in   ) ::   ld_virtual_itd  ! single-category option
       REAL(wp), DIMENSION(:,:,:), INTENT(inout) ::   ptsu            ! sea ice / snow surface temperature
       REAL(wp), DIMENSION(:,:)  , INTENT(in   ) ::   ptb             ! sea ice base temperature
@@ -962,12 +962,10 @@
       !      I   Enhanced conduction factor  !
       ! -------------------------------------!
-      ! Emulates the enhancement of conduction by unresolved thin ice (k_virtual_itd = 1/2)
+      ! Emulates the enhancement of conduction by unresolved thin ice (ld_virtual_itd = T)
       ! Fichefet and Morales Maqueda, JGR 1997
       !
       zgfac(:,:,:) = 1._wp
       
-      SELECT CASE ( k_virtual_itd )
-      !
-      CASE ( 1 , 2 )
+      IF( ld_virtual_itd ) THEN
          !
          zfac  = 1._wp /  ( rn_cnd_s + rcnd_i )
@@ -984,5 +982,5 @@
          END DO
          !      
-      END SELECT
+      ENDIF
       
       ! -------------------------------------------------------------!