Index: /NEMO/trunk/cfgs/SHARED/namelist_ice_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ice_ref	(revision 10531)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ice_ref	(revision 10532)
@@ -25,5 +25,5 @@
    nlay_i           =   2             !  number of ice  layers
    nlay_s           =   1             !  number of snow layers (only 1 is working)
-   ln_virtual_itd   =   .FALSE.       !  virtual ITD mono-category parameterization (jpl=1 only)
+   ln_virtual_itd   =   .false.       !  virtual ITD mono-category parameterization (jpl=1 only)
                                       !     i.e. enhanced thermal conductivity & virtual thin ice melting
    ln_icedyn        = .true.          !  ice dynamics (T) or not (F)
@@ -165,5 +165,5 @@
                                       !     1: constant ice salinity (S=rn_icesal)
                                       !     2: varying salinity parameterization S(z,t)
-                                      !     3: prescribed salinity profile S(z), Schwarzacher, 1959
+                                      !     3: prescribed salinity profile S(z) (Schwarzacher 1959)
    rn_icesal        =   4.            !      (nn_icesal=1) ice salinity (g/kg)
    rn_sal_gd        =   5.            !      (nn_icesal=2) restoring ice salinity, gravity drainage (g/kg)
@@ -178,8 +178,7 @@
 !------------------------------------------------------------------------------
    ln_pnd_H12       = .false.         !  activate evolutive melt ponds (from Holland et al 2012)
-      ln_pnd_fwb    = .false.         !     melt ponds store freshwater or not
-   ln_pnd_CST       = .false.         !  activate constant melt ponds
-      rn_apnd       =   0.2           !     prescribed pond fraction, at Tsu=0
-      rn_hpnd       =   0.05          !     prescribed pond depth, at Tsu=0
+   ln_pnd_CST       = .false.         !  activate constant  melt ponds
+      rn_apnd       =   0.2           !     prescribed pond fraction, at Tsu=0 degC
+      rn_hpnd       =   0.05          !     prescribed pond depth,    at Tsu=0 degC
    ln_pnd_alb       = .false.         !  melt ponds affect albedo or not
 /
Index: /NEMO/trunk/src/ICE/ice.F90
===================================================================
--- /NEMO/trunk/src/ICE/ice.F90	(revision 10531)
+++ /NEMO/trunk/src/ICE/ice.F90	(revision 10532)
@@ -182,5 +182,4 @@
    !                                     !!** ice-ponds namelist (namthd_pnd)
    LOGICAL , PUBLIC ::   ln_pnd_H12       !: Melt ponds scheme from Holland et al 2012
-   LOGICAL , PUBLIC ::   ln_pnd_fwb       !: melt ponds store freshwater
    LOGICAL , PUBLIC ::   ln_pnd_CST       !: Melt ponds scheme with constant fraction and depth
    REAL(wp), PUBLIC ::   rn_apnd          !: prescribed pond fraction (0<rn_apnd<1)
Index: /NEMO/trunk/src/ICE/icethd_pnd.F90
===================================================================
--- /NEMO/trunk/src/ICE/icethd_pnd.F90	(revision 10531)
+++ /NEMO/trunk/src/ICE/icethd_pnd.F90	(revision 10532)
@@ -166,5 +166,5 @@
             !
             ! melt pond mass flux (<0)
-            IF( ln_pnd_fwb .AND. zdv_mlt > 0._wp ) THEN
+            IF( zdv_mlt > 0._wp ) THEN
                zfac = zfr_mlt * zdv_mlt * rhow * r1_rdtice
                wfx_pnd_1d(ji) = wfx_pnd_1d(ji) - zfac
@@ -205,5 +205,5 @@
       INTEGER  ::   ios, ioptio   ! Local integer
       !!
-      NAMELIST/namthd_pnd/  ln_pnd_H12, ln_pnd_fwb, ln_pnd_CST, rn_apnd, rn_hpnd, ln_pnd_alb
+      NAMELIST/namthd_pnd/  ln_pnd_H12, ln_pnd_CST, rn_apnd, rn_hpnd, ln_pnd_alb
       !!-------------------------------------------------------------------
       !
@@ -221,7 +221,6 @@
          WRITE(numout,*) '~~~~~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namicethd_pnd:'
-         WRITE(numout,*) '      Evolutive melt pond fraction and depth (Holland et al 2012)  ln_pnd_H12 = ', ln_pnd_H12
-         WRITE(numout,*) '         Melt ponds store fresh water or not                       ln_pnd_fwb = ', ln_pnd_fwb
-         WRITE(numout,*) '      Prescribed melt pond fraction and depth                      ln_pnd_Cst = ', ln_pnd_CST
+         WRITE(numout,*) '      Evolutive  melt pond fraction and depth (Holland et al 2012) ln_pnd_H12 = ', ln_pnd_H12
+         WRITE(numout,*) '      Prescribed melt pond fraction and depth                      ln_pnd_CST = ', ln_pnd_CST
          WRITE(numout,*) '         Prescribed pond fraction                                  rn_apnd    = ', rn_apnd
          WRITE(numout,*) '         Prescribed pond depth                                     rn_hpnd    = ', rn_hpnd
@@ -238,8 +237,5 @@
       SELECT CASE( nice_pnd )
       CASE( np_pndNO )         
-         IF(ln_pnd_fwb) THEN ; ln_pnd_fwb = .FALSE. ; CALL ctl_warn( 'ln_pnd_fwb=false when no ponds' ) ; ENDIF
-         IF(ln_pnd_alb) THEN ; ln_pnd_alb = .FALSE. ; CALL ctl_warn( 'ln_pnd_alb=false when no ponds' ) ; ENDIF
-      CASE( np_pndCST)
-         IF(ln_pnd_fwb) THEN ; ln_pnd_fwb = .FALSE. ; CALL ctl_warn( 'ln_pnd_fwb=false when ln_pnd_CST=true' ) ; ENDIF
+         IF( ln_pnd_alb ) THEN ; ln_pnd_alb = .FALSE. ; CALL ctl_warn( 'ln_pnd_alb=false when no ponds' ) ; ENDIF
       END SELECT
       !