Index: /NEMO/trunk/cfgs/SHARED/namelist_ice_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ice_ref	(revision 10533)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ice_ref	(revision 10534)
@@ -119,5 +119,6 @@
                                       !     = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
                                       !     = 2  Redistribute a single flux over categories
-   nice_jules       = 0               !  Jules coupling (0=OFF, 1=EMULATED, 2=ACTIVE)
+   ln_cndflx        = .false.         !  Use conduction flux as surface boundary conditions (i.e. for Jules coupling)
+      ln_cndemulate = .false.         !     emulate conduction flux (if not provided in the inputs)
 /
 !------------------------------------------------------------------------------
Index: /NEMO/trunk/src/ICE/ice.F90
===================================================================
--- /NEMO/trunk/src/ICE/ice.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/ice.F90	(revision 10534)
@@ -160,8 +160,10 @@
    !                                      !   = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
    !                                      !   = 2  Redistribute a single flux over categories
-   INTEGER , PUBLIC            ::   nice_jules           !: Choice of jules coupling 
-   INTEGER , PUBLIC, PARAMETER ::   np_jules_OFF    = 0  !: no Jules coupling (ice thermodynamics forced via qsr and qns)
-   INTEGER , PUBLIC, PARAMETER ::   np_jules_EMULE  = 1  !: emulated Jules coupling via icethd_zdf.F90 (BL99) (1st round compute qcn and qsr_tr, 2nd round use it)
-   INTEGER , PUBLIC, PARAMETER ::   np_jules_ACTIVE = 2  !: active Jules coupling                      (SM0L) (compute qcn and qsr_tr via sbcblk.F90 or sbccpl.F90)
+   LOGICAL , PUBLIC ::   ln_cndflx        !: use conduction flux as surface boundary condition (instead of qsr and qns) 
+   LOGICAL , PUBLIC ::   ln_cndemulate    !: emulate conduction flux (if not provided) 
+   !                                      ! Conduction flux as surface forcing or not
+   INTEGER, PUBLIC, PARAMETER ::   np_cnd_OFF = 0  !: no forcing from conduction flux (ice thermodynamics forced via qsr and qns)
+   INTEGER, PUBLIC, PARAMETER ::   np_cnd_ON  = 1  !: forcing from conduction flux (SM0L) (compute qcn and qsr_tr via sbcblk.F90 or sbccpl.F90)
+   INTEGER, PUBLIC, PARAMETER ::   np_cnd_EMU = 2  !: emulate conduction flux via icethd_zdf.F90 (BL99) (1st round compute qcn and qsr_tr, 2nd round use it)
 
    !                                     !!** ice-vertical diffusion namelist (namthd_zdf) **
@@ -281,6 +283,6 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   rn_amax_2d     !: maximum ice concentration 2d array
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qtr_ice_bot    !: transmitted solar radiation under ice
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   t1_ice         !: temperature of the first layer (Jules coupling) [K]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   cnd_ice        !: effective conductivity at the top of ice/snow (Jules coupling) [W.m-2.K-1]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   t1_ice         !: temperature of the first layer                (ln_cndflx=T) [K]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   cnd_ice        !: effective conductivity at the top of ice/snow (ln_cndflx=T) [W.m-2.K-1]
 
    !!----------------------------------------------------------------------
Index: /NEMO/trunk/src/ICE/ice1d.F90
===================================================================
--- /NEMO/trunk/src/ICE/ice1d.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/ice1d.F90	(revision 10534)
@@ -41,6 +41,6 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   qcn_ice_1d     !: heat available for snow / ice surface sublimation [W/m2] 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   qtr_ice_top_1d !: solar flux transmitted below the ice surface [W/m2] 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   t1_ice_1d      !: temperature of the 1st layer (Jules coupling) [K]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   cnd_ice_1d     !: conductivity at the top of ice/snow (Jules coupling) [W/K/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   t1_ice_1d      !: temperature of the 1st layer        (ln_cndflx=T) [K]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   cnd_ice_1d     !: conductivity at the top of ice/snow (ln_cndflx=T) [W/K/m2]
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   hfx_sum_1d
Index: /NEMO/trunk/src/ICE/iceforcing.F90
===================================================================
--- /NEMO/trunk/src/ICE/iceforcing.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/iceforcing.F90	(revision 10534)
@@ -143,8 +143,7 @@
          IF( ln_mixcpl        )   CALL sbc_cpl_ice_flx( picefr=at_i_b, palbi=alb_ice, psst=sst_m, pist=t_su, phs=h_s, phi=h_i )
          IF( nn_flxdist /= -1 )   CALL ice_flx_dist   ( t_su, alb_ice, qns_ice, qsr_ice, dqns_ice, evap_ice, devap_ice, nn_flxdist )
-         SELECT CASE( nice_jules )
-         CASE( np_jules_ACTIVE )  !    compute conduction flux and surface temperature (as in Jules surface module)
-                                  CALL blk_ice_qcn    ( ln_virtual_itd, t_su, t_bo, h_s, h_i )
-         END SELECT
+         !                        !    compute conduction flux and surface temperature (as in Jules surface module)
+         IF( ln_cndflx .AND. .NOT.ln_cndemulate ) &
+            &                     CALL blk_ice_qcn    ( ln_virtual_itd, t_su, t_bo, h_s, h_i )
       CASE ( jp_purecpl )         !--- coupled formulation
                                   CALL sbc_cpl_ice_flx( picefr=at_i_b, palbi=alb_ice, psst=sst_m, pist=t_su, phs=h_s, phi=h_i )
@@ -169,5 +168,5 @@
 
 
-   SUBROUTINE ice_flx_dist( ptn_ice, palb_ice, pqns_ice, pqsr_ice, pdqn_ice, pevap_ice, pdevap_ice, k_iceflx )
+   SUBROUTINE ice_flx_dist( ptn_ice, palb_ice, pqns_ice, pqsr_ice, pdqn_ice, pevap_ice, pdevap_ice, k_flxdist )
       !!-------------------------------------------------------------------
       !!                  ***  ROUTINE ice_flx_dist  ***
@@ -178,5 +177,5 @@
       !! ** Method  :   average then redistribute
       !!
-      !! ** Action  :   depends on k_iceflx
+      !! ** Action  :   depends on k_flxdist
       !!                = -1  Do nothing (needs N(cat) fluxes)
       !!                =  0  Average N(cat) fluxes then apply the average over the N(cat) ice 
@@ -185,5 +184,5 @@
       !!                =  2  Redistribute a single flux over categories
       !!-------------------------------------------------------------------
-      INTEGER                   , INTENT(in   ) ::   k_iceflx   ! redistributor
+      INTEGER                   , INTENT(in   ) ::   k_flxdist  ! redistributor
       REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   ptn_ice    ! ice surface temperature
       REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   palb_ice   ! ice albedo
@@ -211,5 +210,5 @@
       END WHERE
       
-      SELECT CASE( k_iceflx )       !==  averaged on all ice categories  ==!
+      SELECT CASE( k_flxdist )       !==  averaged on all ice categories  ==!
       !
       CASE( 0 , 1 )
@@ -234,5 +233,5 @@
       END SELECT
       !
-      SELECT CASE( k_iceflx )       !==  redistribution on all ice categories  ==!
+      SELECT CASE( k_flxdist )       !==  redistribution on all ice categories  ==!
       !
       CASE( 1 , 2 )
@@ -268,5 +267,5 @@
       INTEGER ::   ios, ioptio   ! Local integer
       !!
-      NAMELIST/namforcing/ rn_cio, rn_blow_s, nn_flxdist, nice_jules
+      NAMELIST/namforcing/ rn_cio, rn_blow_s, nn_flxdist, ln_cndflx, ln_cndemulate
       !!-------------------------------------------------------------------
       !
@@ -284,8 +283,9 @@
          WRITE(numout,*) '~~~~~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namforcing:'
-         WRITE(numout,*) '      drag coefficient for oceanic stress              rn_cio     = ', rn_cio
-         WRITE(numout,*) '      coefficient for ice-lead partition of snowfall   rn_blow_s  = ', rn_blow_s
-         WRITE(numout,*) '      Multicategory heat flux formulation              nn_flxdist = ', nn_flxdist
-         WRITE(numout,*) '      Jules coupling (0=no, 1=emulated, 2=active)      nice_jules = ', nice_jules
+         WRITE(numout,*) '      drag coefficient for oceanic stress              rn_cio        = ', rn_cio
+         WRITE(numout,*) '      coefficient for ice-lead partition of snowfall   rn_blow_s     = ', rn_blow_s
+         WRITE(numout,*) '      Multicategory heat flux formulation              nn_flxdist    = ', nn_flxdist
+         WRITE(numout,*) '      Use conduction flux as surface condition         ln_cndflx     = ', ln_cndflx
+         WRITE(numout,*) '         emulate conduction flux                       ln_cndemulate = ', ln_cndemulate
       ENDIF
       !
Index: /NEMO/trunk/src/ICE/iceistate.F90
===================================================================
--- /NEMO/trunk/src/ICE/iceistate.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/iceistate.F90	(revision 10534)
@@ -112,5 +112,5 @@
       DO jl = 1, jpl
          t_su   (:,:,jl) = rt0 * tmask(:,:,1)  ! temp at the surface
-         cnd_ice(:,:,jl) = 0._wp               ! initialisation of the effective conductivity at the top of ice/snow (Jules coupling)
+         cnd_ice(:,:,jl) = 0._wp               ! initialisation of the effective conductivity at the top of ice/snow (ln_cndflx=T)
       END DO
       !
Index: /NEMO/trunk/src/ICE/icestp.F90
===================================================================
--- /NEMO/trunk/src/ICE/icestp.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/icestp.F90	(revision 10534)
@@ -432,5 +432,5 @@
 
       tau_icebfr(:,:)   = 0._wp   ! landfast ice param only (clem: important to keep the init here)
-      cnd_ice   (:,:,:) = 0._wp   ! initialisation: effective conductivity at the top of ice/snow (Jules coupling)
+      cnd_ice   (:,:,:) = 0._wp   ! initialisation: effective conductivity at the top of ice/snow (ln_cndflx=T)
       qtr_ice_bot(:,:,:) = 0._wp  ! initialization: part of solar radiation transmitted through the ice needed at least for outputs
       !
Index: /NEMO/trunk/src/ICE/icethd.F90
===================================================================
--- /NEMO/trunk/src/ICE/icethd.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/icethd.F90	(revision 10534)
@@ -504,5 +504,5 @@
          CALL tab_1d_2d( npti, nptidx(1:npti), qns_ice_1d    (1:npti), qns_ice    (:,:,kl) )
          CALL tab_1d_2d( npti, nptidx(1:npti), qtr_ice_bot_1d(1:npti), qtr_ice_bot(:,:,kl) )
-         ! effective conductivity and 1st layer temperature (for Jules coupling)
+         ! effective conductivity and 1st layer temperature (ln_cndflx=T)
          CALL tab_1d_2d( npti, nptidx(1:npti), cnd_ice_1d(1:npti), cnd_ice(:,:,kl) )
          CALL tab_1d_2d( npti, nptidx(1:npti), t1_ice_1d (1:npti), t1_ice (:,:,kl) )
Index: /NEMO/trunk/src/ICE/icethd_dh.F90
===================================================================
--- /NEMO/trunk/src/ICE/icethd_dh.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/icethd_dh.F90	(revision 10534)
@@ -126,7 +126,6 @@
       !                       ! Available heat for surface and bottom ablation !
       !                       ! ============================================== !
-      SELECT CASE( nice_jules )
       !
-      CASE( np_jules_ACTIVE )
+      IF( ln_cndflx .AND. .NOT.ln_cndemulate ) THEN
          !
          DO ji = 1, npti
@@ -134,5 +133,5 @@
          END DO
          !
-      CASE( np_jules_OFF , np_jules_EMULE )
+      ELSE
          !
          DO ji = 1, npti
@@ -142,5 +141,5 @@
          END DO
          !
-      END SELECT
+      ENDIF
       !
       DO ji = 1, npti
Index: /NEMO/trunk/src/ICE/icethd_zdf.F90
===================================================================
--- /NEMO/trunk/src/ICE/icethd_zdf.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/icethd_zdf.F90	(revision 10534)
@@ -57,17 +57,12 @@
       CASE( np_BL99 )               ! BL99 solver !
          !                          !-------------!
-         SELECT CASE( nice_jules )
-         !                         ! No Jules coupler ==> default option
-         CASE( np_jules_OFF    )   ;   CALL ice_thd_zdf_BL99 ( np_jules_OFF    )
-         !
-         !                         ! Jules coupler is emulated => 1st call to get the needed fields (conduction...)
-         !                                                        2nd call to use these fields to calculate heat diffusion   
-         CASE( np_jules_EMULE  )   ;   CALL ice_thd_zdf_BL99 ( np_jules_EMULE  )
-                                       CALL ice_thd_zdf_BL99 ( np_jules_ACTIVE )
-         !
-         !                         ! Jules coupler is active ==> Met Office default option
-         CASE( np_jules_ACTIVE )   ;   CALL ice_thd_zdf_BL99 ( np_jules_ACTIVE )
-         !
-         END SELECT
+         IF( .NOT.ln_cndflx ) THEN                           ! No conduction flux ==> default option
+            CALL ice_thd_zdf_BL99( np_cnd_OFF )
+         ELSEIF( ln_cndflx .AND. .NOT.ln_cndemulate ) THEN   ! Conduction flux as surface boundary condition ==> Met Office default option
+            CALL ice_thd_zdf_BL99( np_cnd_ON  )
+         ELSEIF( ln_cndflx .AND.      ln_cndemulate ) THEN   ! Conduction flux is emulated 
+            CALL ice_thd_zdf_BL99( np_cnd_EMU )
+            CALL ice_thd_zdf_BL99( np_cnd_ON  )
+         ENDIF
          !
       END SELECT
Index: /NEMO/trunk/src/ICE/icethd_zdf_bl99.F90
===================================================================
--- /NEMO/trunk/src/ICE/icethd_zdf_bl99.F90	(revision 10533)
+++ /NEMO/trunk/src/ICE/icethd_zdf_bl99.F90	(revision 10534)
@@ -36,5 +36,5 @@
 CONTAINS
 
-   SUBROUTINE ice_thd_zdf_BL99( k_jules )
+   SUBROUTINE ice_thd_zdf_BL99( k_cnd )
       !!-------------------------------------------------------------------
       !!                ***  ROUTINE ice_thd_zdf_BL99  ***
@@ -73,5 +73,5 @@
       !!           total ice/snow thickness         : h_i_1d, h_s_1d
       !!-------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   k_jules     ! Jules coupling (0=OFF, 1=EMULATED, 2=ACTIVE)
+      INTEGER, INTENT(in) ::   k_cnd     ! conduction flux (off, on, emulated)
       !
       INTEGER ::   ji, jk         ! spatial loop index
@@ -164,5 +164,5 @@
       !
       ! Store initial temperatures and non solar heat fluxes
-      IF( k_jules == np_jules_OFF .OR. k_jules == np_jules_EMULE ) THEN
+      IF( k_cnd == np_cnd_OFF .OR. k_cnd == np_cnd_EMU ) THEN
          !
          ztsub      (1:npti) = t_su_1d(1:npti)                          ! surface temperature at iteration n-1
@@ -332,9 +332,9 @@
          !----------------------------------------!
          !                                        !
-         !   JULES COUPLING IS OFF OR EMULATED    !
+         !   Conduction flux is off or emulated   !
          !                                        !
          !----------------------------------------!
          !
-         IF( k_jules == np_jules_OFF .OR. k_jules == np_jules_EMULE ) THEN
+         IF( k_cnd == np_cnd_OFF .OR. k_cnd == np_cnd_EMU ) THEN
             !
             ! ==> The original BL99 temperature computation is used
@@ -581,9 +581,9 @@
          !----------------------------------------!
          !                                        !
-         !      JULES COUPLING IS ACTIVE          !
+         !      Conduction flux is on             !
          !                                        !
          !----------------------------------------!
          !
-         ELSEIF( k_jules == np_jules_ACTIVE ) THEN
+         ELSEIF( k_cnd == np_cnd_ON ) THEN
             !
             ! ==> we use a modified BL99 solver with conduction flux (qcn_ice) as forcing term
@@ -754,5 +754,5 @@
             END DO
 
-         ENDIF ! k_jules
+         ENDIF ! k_cnd
          
       END DO  ! End of the do while iterative procedure
@@ -781,5 +781,5 @@
       ! --- Diagnose the heat loss due to changing non-solar / conduction flux --- !
       !
-      IF( k_jules == np_jules_OFF .OR. k_jules == np_jules_EMULE ) THEN
+      IF( k_cnd == np_cnd_OFF .OR. k_cnd == np_cnd_EMU ) THEN
          !
          DO ji = 1, npti
@@ -787,5 +787,5 @@
          END DO
          !
-      ELSEIF( k_jules == np_jules_ACTIVE ) THEN
+      ELSEIF( k_cnd == np_cnd_ON ) THEN
          !
          DO ji = 1, npti
@@ -798,5 +798,5 @@
       ! --- Diagnose the heat loss due to non-fully converged temperature solution (should not be above 10-4 W-m2) --- !
       !
-      IF( k_jules == np_jules_OFF .OR. k_jules == np_jules_ACTIVE ) THEN
+      IF( k_cnd == np_cnd_OFF .OR. k_cnd == np_cnd_ON ) THEN
          
          CALL ice_var_enthalpy       
@@ -807,5 +807,5 @@
                &                   SUM( e_s_1d(ji,1:nlay_s) ) * h_s_1d(ji) * r1_nlay_s )
             
-            IF( k_jules == np_jules_OFF ) THEN
+            IF( k_cnd == np_cnd_OFF ) THEN
                
                IF( t_su_1d(ji) < rt0 ) THEN  ! case T_su < 0degC
@@ -817,5 +817,5 @@
                ENDIF
                
-            ELSEIF( k_jules == np_jules_ACTIVE ) THEN
+            ELSEIF( k_cnd == np_cnd_ON ) THEN
             
                zhfx_err    = ( qcn_ice_top_1d(ji) + qtr_ice_top_1d(ji) - zradtr_i(ji,nlay_i) - qcn_ice_bot_1d(ji)  &
@@ -834,7 +834,7 @@
       ENDIF
       !
-      !---------------------------------------------------------------------------------------
-      ! 11) Jules coupling: reset inner snow and ice temperatures, update conduction fluxes
-      !---------------------------------------------------------------------------------------
+      !--------------------------------------------------------------------
+      ! 11) reset inner snow and ice temperatures, update conduction fluxes
+      !--------------------------------------------------------------------
       ! effective conductivity and 1st layer temperature (needed by Met Office)
       DO ji = 1, npti
@@ -851,5 +851,5 @@
       END DO
       !
-      IF( k_jules == np_jules_EMULE ) THEN
+      IF( k_cnd == np_cnd_EMU ) THEN
          ! Restore temperatures to their initial values
          t_s_1d    (1:npti,:) = ztsold        (1:npti,:)
Index: /NEMO/trunk/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbcblk.F90	(revision 10533)
+++ /NEMO/trunk/src/OCE/SBC/sbcblk.F90	(revision 10534)
@@ -17,5 +17,5 @@
    !!                 !                        ==> based on AeroBulk (http://aerobulk.sourceforge.net/)
    !!            4.0  !  2016-10  (G. Madec)  introduce a sbc_blk_init routine
-   !!            4.0  !  2016-10  (M. Vancoppenolle)  Introduce Jules emulator (M. Vancoppenolle) 
+   !!            4.0  !  2016-10  (M. Vancoppenolle)  Introduce conduction flux emulator (M. Vancoppenolle) 
    !!----------------------------------------------------------------------
 
@@ -31,5 +31,5 @@
    !!   blk_ice_tau   : provide the air-ice stress
    !!   blk_ice_flx   : provide the heat and mass fluxes at air-ice interface
-   !!   blk_ice_qcn   : provide ice surface temperature and snow/ice conduction flux (emulating JULES coupler)
+   !!   blk_ice_qcn   : provide ice surface temperature and snow/ice conduction flux (emulating conduction flux)
    !!   Cdn10_Lupkes2012 : Lupkes et al. (2012) air-ice drag
    !!   Cdn10_Lupkes2015 : Lupkes et al. (2015) air-ice drag 
@@ -688,5 +688,5 @@
    !!   blk_ice_tau : provide the air-ice stress
    !!   blk_ice_flx : provide the heat and mass fluxes at air-ice interface
-   !!   blk_ice_qcn : provide ice surface temperature and snow/ice conduction flux (emulating JULES coupler)
+   !!   blk_ice_qcn : provide ice surface temperature and snow/ice conduction flux (emulating conduction flux)
    !!   Cdn10_Lupkes2012 : Lupkes et al. (2012) air-ice drag
    !!   Cdn10_Lupkes2015 : Lupkes et al. (2015) air-ice drag 
@@ -932,5 +932,5 @@
       !! ** Purpose :   Compute surface temperature and snow/ice conduction flux
       !!                to force sea ice / snow thermodynamics
-      !!                in the case JULES coupler is emulated
+      !!                in the case conduction flux is emulated
       !!                
       !! ** Method  :   compute surface energy balance assuming neglecting heat storage
Index: /NEMO/trunk/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 10533)
+++ /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 10534)
@@ -2012,6 +2012,5 @@
       !                                                      !      Transmitted Qsr      !   [W/m2]
       !                                                      ! ========================= !
-      SELECT CASE( nice_jules )
-      CASE( np_jules_OFF    )       !==  No Jules coupler  ==!
+      IF( .NOT.ln_cndflx ) THEN                              !==  No conduction flux as surface forcing  ==!
          !
          !                    ! ===> used prescribed cloud fraction representative for polar oceans in summer (0.81)
@@ -2022,5 +2021,5 @@
          WHERE( phi(:,:,:) <= 0.1_wp )   qtr_ice_top(:,:,:) = qsr_ice(:,:,:)   ! thin ice transmits all solar radiation
          !     
-      CASE( np_jules_ACTIVE )       !==  Jules coupler is active  ==!
+      ELSEIF( ln_cndflx .AND. .NOT.ln_cndemulate ) THEN      !==  conduction flux as surface forcing  ==!
          !
          !                    ! ===> here we must receive the qtr_ice_top array from the coupler
@@ -2028,5 +2027,5 @@
          qtr_ice_top(:,:,:) = 0._wp
          !
-      END SELECT
+      ENDIF
       !
 #endif