Index: /NEMO/trunk/tests/ICE_AGRIF/EXPREF/README
===================================================================
--- /NEMO/trunk/tests/ICE_AGRIF/EXPREF/README	(revision 10553)
+++ /NEMO/trunk/tests/ICE_AGRIF/EXPREF/README	(revision 10554)
@@ -35,5 +35,5 @@
 the advection through an agrif zoom 1:3
    for a square (ice concentration) or a gaussian (ice volume)
-      with either a constant velocity (ln_dynADV2D=T)
+      with either a constant velocity (ln_dynADV2D=T and define rn_uice & rn_vice)
                or a constant ice-atm. stress, thus velocity is calculated by rheology (ln_dynRHGADV=T)
       with 1 or 5 ice categories (jpl=1 or 5)
Index: /NEMO/trunk/tests/README.rst
===================================================================
--- /NEMO/trunk/tests/README.rst	(revision 10553)
+++ /NEMO/trunk/tests/README.rst	(revision 10554)
@@ -11,13 +11,15 @@
   The description below is a brief description of the test cases available in NEMO. 
 
-ICEDYN
-------
+ICE_AGRIF
+---------
   
-  This test case illustrates the advection of an ice patch across a East/West and North/South periodic channel. 
-  This configuration can be used to test the advection of the ice patch in an AGRIF zoom (1:3) 
-  and across the AGRIF boundary or to test the ice advection schemes (Prather and Ultimate-Macho). 
-  In the latest case user need to remove ``key_agrif`` out of the CPP keys list. 
+  This test case illustrates the advection of an ice patch across an East/West and North/South periodic channel
+  over a slab ocean (i.e. one ocean layer), and with an AGRIF zoom (1:3) in the center
+  The purpose of this configuration is to test the advection of the ice patch in  
+  and across the AGRIF boundary
+  One can either impose ice velocities or ice-atm. stresses and let rheology define velocities
+  (see README for details)
 
-  .. image:: _static/ICEDYN_UDIAG_43days_UM5.gif
+  .. image:: _static/ICE_AGRIF_UDIAG_43days_UM5.gif
 
 VORTEX
@@ -90,4 +92,29 @@
   .. image::_static/CANAL_image.gif
 
+ICE_ADV2D
+---------
+  
+  This test case illustrates the advection of an ice patch across an East/West and North/South periodic channel
+  over a slab ocean (i.e. one ocean layer).
+  The configuration is similar to ICE_AGRIF, except for the AGRIF zoom.
+  The purpose of this configuration is to test the advection schemes available in the sea-ice code
+  (for now, Prather and Ultimate-Macho from 1st to 5th order),
+  especially the occurence of overshoots in ice thickness
+  
+
+ICE_ADV1D
+---------
+  
+  This experiment is the classical Schar & Smolarkiewicz (1996) test case :cite:`SCHAR1996`,
+  which has been used in :cite:`LIPSCOMB2004`,
+  and in which very specific shapes of ice concentration, thickness and volume converge toward the center of a basin.
+  Convergence is unidirectional (in x) while fields are homogeneous in y.
+  The purpose of this configuration is to test the caracteristics of advection schemes available in the sea-ice code
+  (for now, Prather and Ultimate-Macho from 1st to 5th order),
+  especially the constitency between concentration, thickness and volume, and the preservation of initial shapes.
+  
+  
+
+  
 Compile test cases
 ==================
Index: /NEMO/trunk/tests/test_cases.bib
===================================================================
--- /NEMO/trunk/tests/test_cases.bib	(revision 10553)
+++ /NEMO/trunk/tests/test_cases.bib	(revision 10554)
@@ -87,2 +87,30 @@
    abstract = {Processes at the ice shelf-ocean interface and in particular in ice shelf cavities around Antarctica have an observable effect on the solutions of basin scale to global coupled ice-ocean models. Despite this, these processes are not routinely represented in global ocean and climate models. It is shown that a new ice shelf cavity model for z coordinate models can reproduce results from an intercomparison project of earlier approaches with vertical ?~C or isopycnic coordinates. As a proof of concept, ice shelves are incorporated in a 100-year global integration of a z coordinate model. In this simulation, glacial meltwater can be traced as far as north as 15??S. The observed effects of processes in the ice shelf cavities agree with previous results from a ?~C coordinate model, notably the increase in sea ice thickness. However, melt rates are overestimated probably because the parameterization of basal melting does not suit the low resolution of this configuration.}
 }
+
+@article{LIPSCOMB2004,
+   author = {Lipscomb, William H. and Hunke, Elizabeth C.},
+   title = {Modeling Sea Ice Transport Using Incremental Remapping},
+   journal = {Monthly Weather Review},
+   volume = {132},
+   number = {6},
+   pages = {1341-1354},
+   year = {2004},
+   doi = {10.1175/1520-0493(2004)132<1341:MSITUI>2.0.CO;2},
+   URL = {https://doi.org/10.1175/1520-0493(2004)132<1341:MSITUI>2.0.CO;2},
+   eprint = {https://doi.org/10.1175/1520-0493(2004)132<1341:MSITUI>2.0.CO;2}
+   abstract = { Abstract Sea ice models contain transport equations for the area, volume, and energy of ice and snow in various thickness categories. These equations typically are solved with first-order-accurate upwind schemes, which are very diffusive; with second-order-accurate centered schemes, which are highly oscillatory; or with more sophisticated second-order schemes that are computationally costly if many quantities must be transported [e.g., multidimensional positive-definite advection transport algorithm (MPDATA)]. Here an incremental remapping scheme, originally designed for horizontal transport in ocean models, is adapted for sea ice transport. This scheme has several desirable features: it preserves the monotonicity of both conserved quantities and tracers; it is second-order accurate except where the accuracy is reduced locally to preserve monotonicity; and it efficiently solves the large number of equations in sea ice models with multiple thickness categories and tracers. Remapping outperforms the first-order upwind scheme and basic MPDATA scheme in several simple test problems. In realistic model runs, remapping is less diffusive than the upwind scheme and about twice as fast as MPDATA. }
+}
+
+@article{SCHAR1996,
+   author = {Christoph Schär and Piotr K. Smolarkiewicz},
+   title = {A Synchronous and Iterative Flux-Correction Formalism for Coupled Transport Equations},
+   journal = {Journal of Computational Physics},
+   volume = {128},
+   number = {1},
+   pages = {101 - 120},
+   year = {1996},
+   issn = {0021-9991},
+   doi = {https://doi.org/10.1006/jcph.1996.0198},
+   url = {http://www.sciencedirect.com/science/article/pii/S0021999196901989},
+   abstract = {Many problems of fluid dynamics involve the coupled transport of several, density-like, dependent variables (for instance, densities of mass and momenta in elastic flows). In this paper, a conservative and synchronous flux-corrected transport (FCT) formalism is developed which aims at a consistent transport of such variables. The technique differs from traditional FCT algorithms in two respects. First, the limiting of transportive fluxes of the primary variables (e.g., mass and momentum) does not derive from smooth estimates of the variables, but it derives from analytic constraints implied by the Lagrangian form of the governing continuity equations, which are imposed on the specific mixing ratios of the variables (e.g., velocity components). Second, the traditional FCT limiting based on sufficiency conditions is augmented by an iterative procedure which approaches the necessity requirements. This procedure can also be used in the framework of traditional FCT schemes, and a demonstration is provided that it can significantly reduce some of the pathological behaviors of FCT algorithms. Although the approach derived is applicable to the transport of arbitrary conserved quantities, it is particularly useful for the synchronous transport of mass and momenta in elastic flows, where it assures intrinsic stability of the algorithm regardless of the magnitude of the mass-density variable. This latter property becomes especially important in fluids with large density variations, or in models with a material “vertical” coordinate (e.g., geophysical hydrostatic stratified flows in isopycnic/isentropic coordinates), where material surfaces can collapse to zero-mass layers admitting, therefore, arbitrarily large local Courant numbers.}
+}