Index: utils/tools/README.rst
===================================================================
--- utils/tools/README.rst	(revision 10279)
+++ utils/tools/README.rst	(revision 10561)
@@ -1,60 +1,86 @@
-*********
-Utilities
-*********
+TOOLS
+=====
 
 .. contents::
-	:local:
+           :local:
 
-AGRIF nesting tool
-==================
+A set of tools is provided with NEMO to setup user own configuration and (pre|post)process data.
 
-How to create the grid coordinates, the surface forcing and the initial conditions required by each child model.
+How to compile a tool
 
-Data interpolation with CDO
-===========================
+The tool can be compiled using the maketools script in the tools directory as follows:
 
-The aim is to remap from/to a regular geographic grid to/from an other curvilinear grid, especially the ORCA one.
+.. code-block:: console
+        $ ./maketools -m '$ARCH' -n '<TOOL_NAME>'
 
-Data compression
-================
+where ``$ARCH`` can be selected among available architecture files or providing a user defined one.
 
-For netdcf files: example for COREII forcing files.
+DMP_TOOLS
+---------
 
-Weight creation for online interpolation
-========================================
+Used to create a netcdf file called ``resto.nc`` containing restoration coefficients for use with the tra_dmp module in NEMO (see `README <http://forge.ipsl.jussieu.fr/nemo/browser/utils/tools/DMP_TOOLS/README>`_).
 
-See here and here.
+DOMAINcfg
+---------
 
-Bathymetry
-==========
+This tool allows the creation of a domain configuration file (``domain_cfg.nc``) containing the ocean domain information required to define an ocean configuration from scratch. (see `README <http://forge.ipsl.jussieu.fr/nemo/browser/utils/tools/DOMAINcfg/README>`_).
 
-OPABAT is a group of Fortran and IDL routines which allows to build a bathymetry on the grid of
-the dynamical oceanic part, OPA.
+GRIDGEN
+-------
 
-Data interpolation
-==================
+A toolbox allowing the creation of regional configurations from curvilinear grid (see `reference guide <http://forge.ipsl.jussieu.fr/nemo/browser/utils/tools/GRIDGEN/doc_cfg_tools.pdf>`_ ).
 
-The aim is to remap from a regular geographic grid to an other curvilinear grid, especially the ORCA one.
-It will be provide by `SOSIE <http://sosie.sourceforge.net>`_.
+MISCELLANEOUS
+-------------
 
-Setting up MPP configuration tool
-=================================
+The tool allows to create alternative configurations to the community without having to rely on system team sponsorship and support.
 
-This Fortran based tool provides to the user information to choose the best domain decomposition.
-The proposed solution will be the one with an optimized number of processos in
-suppressing eventual useless land processors.
+MPP_PREP
+--------
 
-- Documentation: mpp_nc.pdf mpp_nc.pdf
-- Tar file     : mpp_prep-1.0.tar.gz
+This tool provides the user with information to choose the best domain decomposition.
+The tool computes the number of water processors for all possible decompositions (up to a maximum number of processors). 
+Documentation: `mpp_nc.pdf <http://forge.ipsl.jussieu.fr/nemo/attachment/wiki/Users/SetupNewConfiguration/mpp_nc.pdf>`_
+Tar file     : `mpp_prep-1.0.tar.gz <http://forge.ipsl.jussieu.fr/nemo/attachment/wiki/Users/SetupNewConfiguration/mpp_prep-1.0.tar.gz>`_
 
-Conversion of restart files
-===========================
+NESTING
+-------
 
-This Fortran based tool performs light changes on restart files (NetCDF or DIMG format) to
-ensure their compatibility with the new IOM package in the standard version of NEMO i.e. since
-the tag nemo_v2 and later: Chge_Rst_files.tar
+AGRIF nesting tool allows for the seamless two-way coupling of nested sub-models within the NEMO framework as long as these are defined on subsets of the original root grid. It allows to create the grid coordinates, the surface forcing and the initial conditions required by each sub-model when running a NEMO/AGRIF embedded mode (see `README <http://forge.ipsl.jussieu.fr/nemo/browser/utils/tools/NESTING/README>`_).
 
-ORCA grids generator
-====================
+OBSTOOLS
+--------
 
-This Fortran based tool allows to generate an ORCA grid type: gridgen_CECILL.tar
+A series of Fortran utilities which are helpful in handling observation files and the feedback file output from the NEMO observation operator.
+Further info are available in the Nemo manual.
+
+REBUILD_NEMO
+------------
+
+REBUILD_NEMO is a tool to rebuild NEMO output files from multiple processors (mesh_mask, restart or XIOS output files) into one file (see `README <http://forge.ipsl.jussieu.fr/nemo/browser/utils/tools/REBUILD_NEMO/README.rst>`_).
+
+REBUILD
+-------
+
+It contains the old version of REBUILD_NEMO tool based on the IOIPSL code.
+
+SCOORD_GEN
+----------
+
+Offline tool to generate a vertical coordinates input file for use with S coordinates. This has been carried out by copying the model code to an offline tool and then modifying it to suppress the use of 3D arrays (to reduce memory usage). The tool has been created in preparation for the removal of the vertical grid definition from the code. The output file should contain all variables that are necessary to restart the model.
+
+SECTIONS_DIADCT
+---------------
+
+When the Transport across sections diagnostic is activated (``key_diadct``), this tool is used to build the binary file containing the pathways between the extremities of each section.
+Further info are available in the Nemo manual.
+
+SIREN
+-----
+
+SIREN is a configuration management tool to set up regional configurations with NEMO. (see `README <http://forge.ipsl.jussieu.fr/nemo/browser/utils/tools/SIREN/README>`_)
+
+WEIGHTS
+-------
+
+This directory contains software for generating and manipulating interpolation weights for use with the Interpolation On the Fly (IOF) option in NEMO v3 onwards. (see `README <http://forge.ipsl.jussieu.fr/nemo/browser/utils/tools/WEIGHTS/README>`_)